aboutsummaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
authorMatteo Bernardini <ponce@slackbuilds.org>2024-10-10 12:55:17 +0200
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-10-12 11:34:51 +0700
commit6285745eff836efa23e840f516bec4d4a788bb7b (patch)
treec474776438c850367db9c4e45e136f57fc3ebdd9 /system
parent5115b159439700e8da2daebcd654188087b01639 (diff)
system/btop: Updated for version 1.4.0.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/btop/README2
-rw-r--r--system/btop/btop.SlackBuild10
-rw-r--r--system/btop/btop.info6
3 files changed, 13 insertions, 5 deletions
diff --git a/system/btop/README b/system/btop/README
index 8780098d6a206..0582472f288ed 100644
--- a/system/btop/README
+++ b/system/btop/README
@@ -1,3 +1,5 @@
Resource monitor that shows usage and stats for processor, memory,
disks, network and processes.
C++ version and continuation of bashtop and bpytop.
+
+lowdown is an optional dependency to generate the program's man page.
diff --git a/system/btop/btop.SlackBuild b/system/btop/btop.SlackBuild
index 1550e7d93c384..d6a709c4b416b 100644
--- a/system/btop/btop.SlackBuild
+++ b/system/btop/btop.SlackBuild
@@ -27,14 +27,14 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=btop
-VERSION=${VERSION:-1.3.2}
+VERSION=${VERSION:-1.4.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i586 ;;
+ i?86) ARCH=i686 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -75,12 +75,18 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
sed -i "s|-O2|$SLKCFLAGS|" Makefile || exit 1
+sed -i "s|share/man|man|" Makefile || exit 1
LDFLAGS=-ldl make PREFIX=/usr all
make PREFIX=/usr install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -exec gzip -9 {} \;
+ for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE README.md CHANGELOG.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/system/btop/btop.info b/system/btop/btop.info
index faa44836df416..755fe2b6d7701 100644
--- a/system/btop/btop.info
+++ b/system/btop/btop.info
@@ -1,8 +1,8 @@
PRGNAM="btop"
-VERSION="1.3.2"
+VERSION="1.4.0"
HOMEPAGE="https://github.com/aristocratos/btop/"
-DOWNLOAD="https://github.com/aristocratos/btop/archive/v1.3.2/btop-1.3.2.tar.gz"
-MD5SUM="04ff8d32e7bf748705fe34dfea50c628"
+DOWNLOAD="https://github.com/aristocratos/btop/archive/v1.4.0/btop-1.4.0.tar.gz"
+MD5SUM="4867d71bcf6176d7ec1025f4cd86ccb2"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""